/*
 * Simple fragment shader for calculating output fragment color.
 */

#version 130          // delete this line if using GLSL 1.2
precision highp float;  // delete this line if using GLSL 1.2

// sampler holding texture data
uniform sampler2D colorTexture;
uniform float[] kernel;
uniform vec2[] offset;

// fragment-shader input variables
in vec2 fragTexCoord;

// fragment-shader output variable
out vec4 outColor;

void main()
{	
	vec4 sum = vec4(0.0);
	vec4 temp = vec4(0.0);

	temp = texture2D(colorTexture, fragTexCoord + offset[0]);
	sum += temp * kernel[0];
	temp = texture2D(colorTexture, fragTexCoord + offset[1]);
	sum += temp * kernel[1];
	temp = texture2D(colorTexture, fragTexCoord + offset[2]);
	sum += temp * kernel[2];
	temp = texture2D(colorTexture, fragTexCoord + offset[3]);
	sum += temp * kernel[3];
	temp = texture2D(colorTexture, fragTexCoord + offset[4]);
	sum += temp * kernel[4];
	temp = texture2D(colorTexture, fragTexCoord + offset[5]);
	sum += temp * kernel[5];
	temp = texture2D(colorTexture, fragTexCoord + offset[6]);
	sum += temp * kernel[6];
	temp = texture2D(colorTexture, fragTexCoord + offset[7]);
	sum += temp * kernel[7];
	temp = texture2D(colorTexture, fragTexCoord + offset[8]);
	sum += temp * kernel[8];

	outColor = sum;
	//outColor = vec4(1.0, 0.0, 0.0,  1.0);
	
}